/*	
	Dravno natjecanje 2011 - 1. dan
	I.Podskupina
	Zadatak: Svemir

		Opis rjeenja
	------------------------------------
	Ako promotrimo brodove u koordinatnom sustavu, moemo primjetiti da brod sa najveom Y koordinatom 
	sigurno nema problema sa navigacijskim sustavom, jer ne postoji takav brod koji se nalazi iznad 
	njega (ne postoji brod koji ima veu Y koordinatu). Isto tako moemo primjetiti da taj brod utjee 
	na navigacijske sustave svih brodova strogo lijevo od njega (one koji imaju strogo manju X koordinatu).

	Na taj nain smo pronali jedan brod koji se trai u zadatku i eliminirali odreen broj brodova koji 
	nisu dio rjeenja.

	Sljedei brod koji nema problema sa navigacijskim sustavom je sigurno onaj brod koji ima najveu Y 
	koordinatu meu preostalim brodovima. Na taj nain smo pronali i drugi brod koji je dio rjeenja, 
	te iz rjeenja moemo eliminirati i sve brodove koji se nalaze strogo lijevo od njega.
	
	Takav postupak nastavimo dok ne proemo sve brodove (ukljuimo ih u rjeenje ili ih eliminiramo).

	NAPOMENA: Ukoliko postoji vie brodova sa istom najveom Y koordinatom, uzet emo onaj brod koji 
	ima najmanju X koordinatu, odnosno prvi brod s lijeva.

	Za implementaciju ovakvog rjeenja moemo iskoristiti strukturu podataka priority queue (heap).
	S tim da najvei prioritet ima brod sa najveom Y koordinatom. Ukoliko ima vie takvih brodova,
	prioritet ima onaj s najmanjom X koordinatom.
*/

#include <queue>
#include <cstdio>
#include <vector>
using namespace std;

#define xx first
#define yy second

class OrderByY
{
public:
	bool operator()(pair <int, int>& A, pair <int, int>& B)
	{
		if (A.yy < B.yy) return true;
		if (A.yy == B.yy && A.xx > B.xx) return true;

		return false;
	}
};

int main()
{
	int n;
	priority_queue <pair <int, int>, vector<pair <int, int> >, OrderByY> points;

	scanf("%d", &n);

	for (int i=0; i<n; i++)
	{
		int x,y;
		scanf("%d %d", &x, &y);
		points.push(make_pair(x,y));
	}

	int currentX = -1;
	int count = 0;

	while (!points.empty())
	{
		pair<int, int> point = points.top();
		points.pop();

		if (point.xx >= currentX)
		{
			currentX = point.xx;
			count++;
		}
	}

	printf("%d\n", count);
	
	return 0;
}
